Bug 962168 - [abrt] gitstats-0-0.4.20130224git0843039.fc18: getopt.py:169:long_has_args:GetoptError: option --help not recognized
[abrt] gitstats-0-0.4.20130224git0843039.fc18: getopt.py:169:long_has_args:Ge...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gitstats (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
Fedora Extras Quality Assurance
abrt_hash:3a382a540a591381be0fb784d7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 05:13 EDT by Marco Nolden
Modified: 2013-09-29 20:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: gitstats-0-0.4.20130723gita923085.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-29 14:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (767 bytes, text/plain)
2013-05-12 05:14 EDT, Marco Nolden
no flags Details
File: core_backtrace (414 bytes, text/plain)
2013-05-12 05:14 EDT, Marco Nolden
no flags Details
File: environ (4.35 KB, text/plain)
2013-05-12 05:14 EDT, Marco Nolden
no flags Details

  None (edit)
Description Marco Nolden 2013-05-12 05:13:57 EDT
Description of problem:
I just tried to get a help page:

$ gitstats -h
Traceback (most recent call last):
  File "/usr/bin/gitstats", line 1430, in <module>
    g.run(sys.argv[1:])
  File "/usr/bin/gitstats", line 1354, in run
    optlist, args = getopt.getopt(args_orig, 'c:')
  File "/usr/lib64/python2.7/getopt.py", line 90, in getopt
    opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
  File "/usr/lib64/python2.7/getopt.py", line 190, in do_shorts
    if short_has_arg(opt, shortopts):
  File "/usr/lib64/python2.7/getopt.py", line 206, in short_has_arg
    raise GetoptError('option -%s not recognized' % opt, opt)
getopt.GetoptError: option -h not recognized


Version-Release number of selected component:
gitstats-0-0.4.20130224git0843039.fc18

Additional info:
cmdline:        python /usr/bin/gitstats --help
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/gitstats
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 2

Truncated backtrace:
getopt.py:169:long_has_args:GetoptError: option --help not recognized

Traceback (most recent call last):
  File "/usr/bin/gitstats", line 1430, in <module>
    g.run(sys.argv[1:])
  File "/usr/bin/gitstats", line 1354, in run
    optlist, args = getopt.getopt(args_orig, 'c:')
  File "/usr/lib64/python2.7/getopt.py", line 88, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib64/python2.7/getopt.py", line 152, in do_longs
    has_arg, opt = long_has_args(opt, longopts)
  File "/usr/lib64/python2.7/getopt.py", line 169, in long_has_args
    raise GetoptError('option --%s not recognized' % opt, opt)
GetoptError: option --help not recognized

Local variables in innermost frame:
possibilities: []
opt: 'help'
longopts: []
Comment 1 Marco Nolden 2013-05-12 05:14:53 EDT
Created attachment 746793 [details]
File: backtrace
Comment 2 Marco Nolden 2013-05-12 05:14:55 EDT
Created attachment 746794 [details]
File: core_backtrace
Comment 3 Marco Nolden 2013-05-12 05:14:58 EDT
Created attachment 746795 [details]
File: environ
Comment 4 Stephen Gordon 2013-07-23 10:13:10 EDT
I think this is "working as designed" in that gitstats upstream doesn't implement -h/--help. That said it's probably trivial to add so I will pick this up and submit a pull request.
Comment 5 Stephen Gordon 2013-07-23 10:28:46 EDT
https://github.com/hoxu/gitstats/pull/23
Comment 6 Stephen Gordon 2013-07-23 18:13:30 EDT
Pull request 23 merged upstream. Builds will appear in Koji shortly:

http://koji.fedoraproject.org/koji/packageinfo?packageID=15598
Comment 7 Fedora Update System 2013-07-23 23:06:27 EDT
gitstats-0-0.4.20130723gita923085.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gitstats-0-0.4.20130723gita923085.fc18
Comment 8 Fedora Update System 2013-07-23 23:07:55 EDT
gitstats-0-0.4.20130723gita923085.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gitstats-0-0.4.20130723gita923085.fc19
Comment 9 Fedora Update System 2013-07-24 11:21:59 EDT
gitstats-0-0.4.20130723gita923085.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gitstats-0-0.4.20130723gita923085.el6
Comment 10 Stephen Gordon 2013-07-24 11:27:20 EDT
As per comment # 7, comment # 8, and comment # 9 I have submitted updated builds to Fedora 18, Fedora 19, and EPEL 6 respectively. If you wish to hasten their arrival in the relevant stable repositories then please visit the linked pages, test the packages, and provide karma.
Comment 11 Fedora Update System 2013-07-24 19:56:31 EDT
Package gitstats-0-0.4.20130723gita923085.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gitstats-0-0.4.20130723gita923085.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10958/gitstats-0-0.4.20130723gita923085.el6
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-29 14:18:25 EDT
gitstats-0-0.4.20130723gita923085.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-09-29 20:28:00 EDT
gitstats-0-0.4.20130723gita923085.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-09-29 20:30:10 EDT
gitstats-0-0.4.20130723gita923085.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.